Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.util
Class BoundaryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  edu.wpi.first.wpilibj.util.BoundaryException

    public class BoundaryException

extends RuntimeException

This exception represents an error in which a lower limit was set as higher than an upper limit.

Author:
  dtjones

Constructor Summary
`BoundaryException(String message)` Create a new exception with the given message

Method Summary
`static void` | `assertWithinBounds(double value, double lower, double upper)` Make sure that the given value is between the upper and lower bounds, and throw an exception if they are not.

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BoundaryException

    public BoundaryException(String message)

  Create a new exception with the given message

  Parameters:
    `message` - the message to attach to the exception

Method Detail

### assertWithinBounds

    public static void assertWithinBounds(double value,
                                          double lower,
                                          double upper)

  Make sure that the given value is between the upper and lower bounds, and throw an exception if they are not.

  Parameters:
    `value` - The value to check.
    `lower` - The minimum acceptable value.
    `upper` - The maximum acceptable value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"